Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
push_back.hpp File Reference

## Classes
struct | ranges::push_back_fn

## Typedefs
template<typename Cont , typename Rng >
using | ranges::insert_t = decltype(static_cast< void >(ranges::insert(std::declval< Cont & >(), std::declval< sentinel_t< Cont > >(), std::declval< Rng >())))
template<typename Cont , typename T >
using | ranges::push_back_t = decltype(static_cast< void >(unwrap_reference(std::declval< Cont & >()).push_back(std::declval< T >())))

## Functions
template<typename Cont , typename Rng >
insert_t< Cont, Rng > | ranges::push_back (Cont &&cont, Rng &&rng)
template<typename Cont , typename T >
push_back_t< Cont, T > | ranges::push_back (Cont &&cont, T &&t)

## Variables
constexpr adl_push_back_detail::push_back_fn | ranges::actions::push_back {}